Bug 1079503 - ghc-derive-2.5.22 is available
Summary: ghc-derive-2.5.22 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc-derive
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: derive-2.5.19:NG
: 999337 (view as bug list)
Depends On: 1062194
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-21 17:28 UTC by Upstream Release Monitoring
Modified: 2015-04-26 12:57 UTC (History)
2 users (show)

Fixed In Version: alex-3.1.4-1.fc22
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-26 12:57:33 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-03-21 17:28:35 UTC
Latest upstream release: 2.5.14
Current version/release in Fedora Rawhide: 2.5.11-4.fc20
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-04-15 06:38:51 UTC
Latest upstream release: 2.5.15
Current version/release in Fedora Rawhide: 2.5.11-4.fc20
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-05-06 09:30:31 UTC
Latest upstream release: 2.5.16
Current version/release in Fedora Rawhide: 2.5.11-4.fc20
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Jens Petersen 2014-05-12 07:52:56 UTC
check-bz-available-URM cblrepo output for derive-2.5.16:

Failed to satisfy the following dependencies for derive:
  haskell-src-exts >=1.14 && <1.16

Comment 4 Jens Petersen 2014-06-01 12:10:23 UTC
*** Bug 999337 has been marked as a duplicate of this bug. ***

Comment 5 Jens Petersen 2014-09-12 09:36:49 UTC
fhbz: Rawhide can be updated to derive-2.5.16 
according to the current cblrepo data in haskell-sig.git
without any other package rebuilds.

Comment 6 Upstream Release Monitoring 2014-09-17 15:24:02 UTC
Latest upstream release: 2.5.17
Current version/release in Fedora Rawhide: 2.5.11-6.fc22
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 7 Jens Petersen 2014-09-18 05:11:42 UTC
fhbz: cblrepo output for derive-2.5.17:

Failed to satisfy the following dependencies for derive:
  haskell-src-exts >=1.16 && <1.17

Comment 8 Upstream Release Monitoring 2014-10-14 08:38:19 UTC
Latest upstream release: 2.5.18
Current version/release in Fedora Rawhide: 2.5.11-6.fc22
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://github.com/fedora-infra/anitya/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 9 Jens Petersen 2014-10-20 10:21:41 UTC
fhbz: cblrepo output for derive-2.5.18:

Failed to satisfy the following dependencies for derive:
  haskell-src-exts >=1.16 && <1.17

Comment 10 Upstream Release Monitoring 2015-01-13 09:47:41 UTC
Latest upstream release: 2.5.19
Current version/release in Fedora Rawhide: 2.5.11-6.fc22
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 11 Jens Petersen 2015-01-14 09:28:25 UTC
fhbz: cblrepo output for derive-2.5.19:

Failed to satisfy the following dependencies for derive:
  haskell-src-exts >=1.16 && <1.17
  uniplate >=1.5 && <1.7

Comment 12 Upstream Release Monitoring 2015-02-17 09:20:55 UTC
Latest upstream release: 2.5.21
Current version/release in Fedora Rawhide: 2.5.16-1.fc22
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 13 Upstream Release Monitoring 2015-03-17 12:24:37 UTC
Latest upstream release: 2.5.22
Current version/release in rawhide: 2.5.16-1.fc22
URL: http://hackage.haskell.org/package/derive

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 14 Upstream Release Monitoring 2015-03-17 12:27:31 UTC
Scratch build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=9251200

Comment 15 Jens Petersen 2015-03-24 03:50:00 UTC
Configuring derive-2.5.22...
Setup: At least the following dependencies are missing:
haskell-src-exts ==1.16.*

Comment 16 Upstream Release Monitoring 2015-04-03 09:44:38 UTC
petersen's ghc-derive-2.5.22-1.fc23 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=625861

Comment 17 Fedora Update System 2015-04-20 04:06:32 UTC
alex-3.1.4-1.fc22, cabal-install-1.18.0.8-1.fc22, happy-1.19.5-1.fc22, hlint-1.9.10-1.fc22, ghc-derive-2.5.22-1.fc22, ghc-hgettext-0.1.30-7.fc22, ghc-language-ecmascript-0.15.2-6.fc22, ghc-QuickCheck-2.7.6-1.fc22, Agda-2.4.2.2-3.fc22, bustle-0.4.8-1.fc22, cpphs-1.18.9-1.fc22, idris-0.9.9.1-5.fc22, ghc-arrows-0.4.4.1-8.fc22, ghc-haskell-src-exts-1.16.0.1-1.fc22, ghc-IOSpec-0.2.5-9.fc22, ghc-language-java-0.2.7-2.fc22, ghc-Stream-0.4.7.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/Agda-2.4.2.2-3.fc22,alex-3.1.4-1.fc22,bustle-0.4.8-1.fc22,cabal-install-1.18.0.8-1.fc22,cpphs-1.18.9-1.fc22,happy-1.19.5-1.fc22,idris-0.9.9.1-5.fc22,hlint-1.9.10-1.fc22,ghc-arrows-0.4.4.1-8.fc22,ghc-derive-2.5.22-1.fc22,ghc-haskell-src-exts-1.16.0.1-1.fc22,ghc-hgettext-0.1.30-7.fc22,ghc-IOSpec-0.2.5-9.fc22,ghc-language-ecmascript-0.15.2-6.fc22,ghc-language-java-0.2.7-2.fc22,ghc-QuickCheck-2.7.6-1.fc22,ghc-Stream-0.4.7.2-1.fc22

Comment 18 Fedora Update System 2015-04-21 19:34:12 UTC
Package alex-3.1.4-1.fc22, cabal-install-1.18.0.8-1.fc22, happy-1.19.5-1.fc22, hlint-1.9.10-1.fc22, ghc-derive-2.5.22-1.fc22, ghc-hgettext-0.1.30-7.fc22, ghc-language-ecmascript-0.15.2-6.fc22, ghc-QuickCheck-2.7.6-1.fc22, Agda-2.4.2.2-3.fc22, bustle-0.4.8-1.fc22, cpphs-1.18.9-1.fc22, idris-0.9.9.1-5.fc22, ghc-arrows-0.4.4.1-8.fc22, ghc-haskell-src-exts-1.16.0.1-1.fc22, ghc-IOSpec-0.2.5-9.fc22, ghc-language-java-0.2.7-2.fc22, ghc-Stream-0.4.7.2-1.fc22, haskell-platform-2014.2.0.0.2-3.fc22, git-annex-5.20140717-6.fc22, Agda-stdlib-0.9-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing alex-3.1.4-1.fc22 cabal-install-1.18.0.8-1.fc22 happy-1.19.5-1.fc22 hlint-1.9.10-1.fc22 ghc-derive-2.5.22-1.fc22 ghc-hgettext-0.1.30-7.fc22 ghc-language-ecmascript-0.15.2-6.fc22 ghc-QuickCheck-2.7.6-1.fc22 Agda-2.4.2.2-3.fc22 bustle-0.4.8-1.fc22 cpphs-1.18.9-1.fc22 idris-0.9.9.1-5.fc22 ghc-arrows-0.4.4.1-8.fc22 ghc-haskell-src-exts-1.16.0.1-1.fc22 ghc-IOSpec-0.2.5-9.fc22 ghc-language-java-0.2.7-2.fc22 ghc-Stream-0.4.7.2-1.fc22 haskell-platform-2014.2.0.0.2-3.fc22 git-annex-5.20140717-6.fc22 Agda-stdlib-0.9-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-6562/Agda-2.4.2.2-3.fc22,Agda-stdlib-0.9-1.fc22,alex-3.1.4-1.fc22,bustle-0.4.8-1.fc22,cabal-install-1.18.0.8-1.fc22,cpphs-1.18.9-1.fc22,git-annex-5.20140717-6.fc22,haskell-platform-2014.2.0.0.2-3.fc22,happy-1.19.5-1.fc22,idris-0.9.9.1-5.fc22,hlint-1.9.10-1.fc22,ghc-arrows-0.4.4.1-8.fc22,ghc-derive-2.5.22-1.fc22,ghc-haskell-src-exts-1.16.0.1-1.fc22,ghc-hgettext-0.1.30-7.fc22,ghc-IOSpec-0.2.5-9.fc22,ghc-language-ecmascript-0.15.2-6.fc22,ghc-language-java-0.2.7-2.fc22,ghc-QuickCheck-2.7.6-1.fc22,ghc-Stream-0.4.7.2-1.fc22
then log in and leave karma (feedback).

Comment 19 Fedora Update System 2015-04-26 12:57:33 UTC
alex-3.1.4-1.fc22, cabal-install-1.18.0.8-1.fc22, happy-1.19.5-1.fc22, hlint-1.9.10-1.fc22, ghc-derive-2.5.22-1.fc22, ghc-hgettext-0.1.30-7.fc22, ghc-language-ecmascript-0.15.2-6.fc22, ghc-QuickCheck-2.7.6-1.fc22, Agda-2.4.2.2-3.fc22, bustle-0.4.8-1.fc22, cpphs-1.18.9-1.fc22, idris-0.9.9.1-5.fc22, ghc-arrows-0.4.4.1-8.fc22, ghc-haskell-src-exts-1.16.0.1-1.fc22, ghc-IOSpec-0.2.5-9.fc22, ghc-language-java-0.2.7-2.fc22, ghc-Stream-0.4.7.2-1.fc22, haskell-platform-2014.2.0.0.2-3.fc22, git-annex-5.20140717-6.fc22, Agda-stdlib-0.9-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.